aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSeongJae Park <sj38.park@gmail.com>2024-01-25 23:32:08 -0800
committerSeongJae Park <sj38.park@gmail.com>2024-01-25 23:32:08 -0800
commite76a859ee443bc0a63a78da4d86a6fd6810c76ac (patch)
tree578155a323a07004304bd57aec1bd2cf37c6efc7
parent0402388981f660fb77a76b2bf8cce978cca278bd (diff)
downloaddamon-hack-e76a859ee443bc0a63a78da4d86a6fd6810c76ac.tar.gz
Add a script for mm tree statistic
Signed-off-by: SeongJae Park <sj38.park@gmail.com>
-rwxr-xr-xmm_commits_stat.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/mm_commits_stat.sh b/mm_commits_stat.sh
new file mode 100755
index 0000000..22f531f
--- /dev/null
+++ b/mm_commits_stat.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+if [ $# -ne 2 ]
+then
+ echo "Usage: $0 <remote> <baseline>"
+ exit 1
+fi
+
+remote=$1
+baseline=$2
+
+mm_stable_range="$baseline..$remote/mm-stable"
+mm_unstable_range="$remote/mm-stable..$remote/mm-unstable"
+
+nr_stable_patches=$(git rev-list --count "$mm_stable_range")
+nr_unstable_patches=$(git rev-list --count "$mm_unstable_range")
+
+echo "mm-stable: $nr_stable_patches patches"
+echo "$(git log "$mm_stable_range" | grep "Patch series")"
+echo
+echo "mm-unstable: $nr_unstable_patches patches"
+echo "$(git log "$mm_unstable_range" | grep "Patch series")"